> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Course Detail

> Detailed course score view with per-ship breakdown.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/course-detail
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/course-detail:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Course Detail
      description: Detailed course score view with per-ship breakdown.
      operationId: get_course_detail_api_v1_learn_admin_analytics_course_detail_get
      parameters:
        - name: course_id
          in: query
          required: true
          schema:
            type: string
            title: Course Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/app__domain__admin_analytics__CourseDetailDTO
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    app__domain__admin_analytics__CourseDetailDTO:
      properties:
        course:
          type: string
          title: Course
        avgScore:
          type: number
          title: Avgscore
        fleetAvgScore:
          type: number
          title: Fleetavgscore
        enrollments:
          type: integer
          title: Enrollments
        passRate:
          type: number
          title: Passrate
        avgAttempts:
          type: number
          title: Avgattempts
        shipBreakdown:
          items:
            $ref: '#/components/schemas/CourseShipBreakdownDTO'
          type: array
          title: Shipbreakdown
      type: object
      required:
        - course
        - avgScore
        - fleetAvgScore
        - enrollments
        - passRate
        - avgAttempts
        - shipBreakdown
      title: CourseDetailDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CourseShipBreakdownDTO:
      properties:
        shipId:
          type: string
          title: Shipid
        ship:
          type: string
          title: Ship
        avgScore:
          type: number
          title: Avgscore
        enrollments:
          type: integer
          title: Enrollments
        passRate:
          type: number
          title: Passrate
      type: object
      required:
        - shipId
        - ship
        - avgScore
        - enrollments
        - passRate
      title: CourseShipBreakdownDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````